@import '../../../../../../../../../vendor/scandipwa/source/src/app/component/ProductActions/ProductActions.style';

@mixin display-info-box {
    opacity: 1;
    pointer-events: all;
}

@mixin info-box {
    width: 100%;
    padding: 8px;
    border: 1px solid var(--grey-1-color);
    position: absolute;
    top: calc(100% + 10px);
    left: 0;
    opacity: 0;
    z-index: 100;
    background: $white;
    transition: opacity 0.2s ease-in-out;
    pointer-events: none;
}

.ProductActions {
    flex-flow: column;

    @include after-mobile {
        position: sticky;
        top: var(--header-total-height);
    }

    @include mobile {
        padding: 1rem;
    }

    &-Title {
        font-family: $font-rifton;
        font-size: 20px;
        font-weight: normal;
        line-height: 2.4rem;

        @include mobile {
            line-height: 22px;
        }
    }

    .ProductCard-Coming-soon-countDown,
    .ProductCard-Coming-soon-date {
        width: 100%;
        margin: 0;
        position: static;
    }

    &-Brand {
        margin-bottom: 3px;
        color: var(--primary-base-color);
        font-size: 12px;
        font-weight: normal;
        text-transform: unset;
        text-decoration: underline;
        line-height: 10px;
    }

    &-Sku {
        color: var(--grey-2-color);
        font-size: 12px;

        &::after {
            display: none;
        }
    }

    &-Section {
        padding: 0;
        order: unset;

        @include mobile {
            border-top: 0;
        }
    }

    &-Schema {
        order: unset;
    }

    &-AddToCart {
        --button-border: transparent;
        --button-background: var(--secondary-base-color);
        --button-color: var(--primary-base-color);
        --button-hover-border: transparent;
        --button-hover-background: var(--secondary-base-color);
        --button-hover-color: var(--primary-base-color);
        --button-padding: 15px 22px;
        font-size: 14px !important;

        font-weight: 500 !important;
    }

    &-ReviewLabel {
        vertical-align: text-top;
        font-size: 12px;
        font-weight: normal;
        line-height: 1;

        span::before {
            content: ' ';
        }
    }

    &-Reviews {
        margin-bottom: 0;

        @include mobile {
            display: block;
        }
    }

    &-SkuAndRating {
        display: flex;
        min-height: 20px;
        margin-bottom: 10px;
        align-items: center;
        justify-content: space-between;
    }

    &-FindSize {
        margin-bottom: 10px;
    }

    &-FindSizeButton {
        padding-right: 26px;
        font-size: 12px;
        text-decoration: underline;

        &::after {
            margin-left: 8px;
            content: url('../../style/images/ruler.svg');
        }
    }

    &-Price {
        font-family: $font-rifton;

        @include after-mobile {
            padding-right: 0;
            padding-left: 0;
        }

        @include mobile {
            padding: 4px 0 15px;
        }

        &:last-of-type {
            @include after-mobile {
                padding: 10px 15px 1rem 5px;
                padding-right: 0;
                padding-left: 0;
            }
        }

        del {
            padding-left: 8px;
        }
    }

    &-Section_type_name {
        display: flex;

        @include mobile {
            margin-bottom: 10px;
        }
    }

    &-EstimatedDelivery {
        margin-top: 8px;
        font-size: 12px;
        text-align: center;

        strong {
            font-weight: 500;
        }
    }

    &-ClubPoints {
        padding-left: 32px;
        margin-top: 15px;
        font-size: 12px;
        font-weight: 500;

        &::before {
            display: inline-block;
            position: absolute;
            top: -4px;
            left: 0;
            transform: scale(0.8);
            content: url('../../style/images/crown.svg');
            filter: brightness(0.1);
        }
    }

    &-ClubPointsInfo {
        @include info-box;

        &:hover {
            @include display-info-box;
        }

        * {
            font-size: 12px;
            font-weight: normal;
            line-height: unset;
        }
    }

    &-ClubPointsButton {
        padding: 8px;
        position: absolute;
        top: -8px;
        right: 0;
        cursor: pointer;

        &::before {
            display: inline-block;
            width: 12px;
            padding-top: 1px;
            border: 1px solid var(--primary-base-color);
            border-radius: 8px;
            font-size: 11px;
            text-align: center;
            line-height: 11px;
            content: 'i';
        }

        &:hover,
        &:focus {
            + .ProductActions-ClubPointsInfo {
                @include display-info-box;
            }
        }
    }

    &-InfoList {
        margin-top: 15px;

        li {
            padding-left: 32px;
            margin-bottom: 13px;
            font-size: 12px;
            cursor: pointer;

            &::before {
                width: 14px;
                padding-right: 0;
                border: 1px solid var(--primary-base-color);
                border-radius: 50%;
                margin-right: 1.1225em;
                top: -1px;
                left: 5px;
                transform: scale(1.2);
                text-align: center;
                content: url('../../style/images/checkmark.svg');
            }

            &:hover {
                > div {
                    @include display-info-box;
                }
            }

            > div {
                @include info-box;
            }
        }
    }

    &-AttributesWrapper {
        order: unset;
    }

    &-ConfigButton {
        width: 100%;
        padding: 16px 44px 16px 16px;
        border: 1px solid var(--primary-base-color);
        margin-bottom: 8px;
        font-weight: 500;
        text-align: left;

        &::after {
            position: absolute;
            right: 19px;
            content: url('../../style/images/long-arrow.svg');
        }
    }

    &-ReviewButton {
        font-size: 12px;

        &:hover {
            text-decoration: underline;
        }
    }

    &-SizingButton {
        display: flex;
        position: fixed;
        bottom: 70px;
        left: 12px;
        align-items: center;
        font-size: 16px;
        font-weight: 500;
        text-decoration-line: underline;
        line-height: 16px;
        z-index: 1;

        @include before-desktop {
            bottom: 30px;
        }
    }
}

.prm .ProductActions {
    &-Price {
        font-family: $font-work-sans;
        font-weight: 600;
    }

    &-Title {
        font-family: $font-work-sans;
    }

    &-ConfigButton {
        font-size: 14px;
        font-weight: 500;
        text-transform: uppercase;
        line-height: 24px;
    }
}
